# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# parseunit_byteio.h File Reference

`#include <map>`
`#include <string>`
`#include "byteio.h"`

Include dependency graph for parseunit_byteio.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

- namespace dirac

## Classes

- class dirac::ParseUnitByteIO
    Represents a collection of data in a Dirac bytestream that can be parsed as a self-contained unit. More...

## Enumerations

- enum dirac::ParseUnitType { dirac::PU_ACCESS_UNIT = 0, dirac::PU_FRAME, dirac::PU_END_OF_SEQUENCE, dirac::PU_UNDEFINED }

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.